ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
multispot5.h File Reference
`#include <vector>`
`#include <string>`
`#include <fstream>`
`#include <iostream>`
`#include <tr1/memory>`
`#include <cvd/image.h>`
`#include <cvd/byte.h>`
`#include <TooN/TooN.h>`
`#include <TooN/so2.h>`
`#include "utility.h"`
`#include "mt19937.h"`

Go to the source code of this file.

## Classes
class | FitSpotsGraphics
| Graphics class for FittingSpots. More...
class | UserInterfaceCallback
| Callback class used by FitSpots to provide enough hooks for a user interface. More...
struct | UserInterfaceCallback::UserIssuedStop
struct | LogFileParseError
| Null struct thrown if a parse error is encountered when trying to load a log file. More...
struct | StateParameters
| Internal state (excluding fixed settings) which represents the entire internal state of spot fitting. More...
## Functions
std::auto_ptr< FitSpotsGraphics > | null_graphics ()
std::auto_ptr < UserInterfaceCallback > | null_ui ()
StateParameters | generate_state_parameters_ye_olde (const CVD::BasicImage< double > &log_ratios, const std::vector< CVD::Image< float > > &ims, std::vector< CVD::ImageRef > pixels)
void | fit_spots_new (const std::vector< CVD::Image< float > > &ims, StateParameters &p, std::ofstream &save_spots, FitSpotsGraphics &)
void | fit_spots_new (const std::vector< CVD::Image< float > > &ims, StateParameters &p, std::ofstream &save_spots, FitSpotsGraphics &, UserInterfaceCallback &)
StateParameters | parse_log_file (std::istream &in)

## Function Documentation

StateParameters generate_state_parameters_ye_olde | ( | const CVD::BasicImage< double > & | log_ratios,
|  | const std::vector< CVD::Image< float > > & | ims,
|  | std::vector< CVD::ImageRef > | pixels
| ) |  |

void fit_spots_new | ( | const std::vector< CVD::Image< float > > & | ims,
|  | StateParameters & | p,
|  | std::ofstream & | save_spots,
|  | FitSpotsGraphics & |
| ) |  |

void fit_spots_new | ( | const std::vector< CVD::Image< float > > & | ims,
|  | StateParameters & | p,
|  | std::ofstream & | save_spots,
|  | FitSpotsGraphics & | ,
|  | UserInterfaceCallback & |
| ) |  |

StateParameters parse_log_file | ( | std::istream & | in | ) |